Subject: Foundry equipment / Casting Suppliers

From: [email-masked] (J.A.Harvey )
Date: 3 May 1996 13:49:09 GMT

I don't seem to be able to find the post I made regarding
furnace/foundry equipment, so if this is a duplicate post, my
apologies.

THe recent thread regarding sources for foundry equipment has been very
interesting to me. We just acquired a foundry setup from PYRAMID
PRODUCTS in California (Niland). I am VERY impressed with the quality
of the equipment and the knowledgable support and advice I recieved
>from  the owner Merle.

Pyramid carries all the accessories and equipment you need to begin
casting metal at home. Their prices are extremely reasonable ( our #16
furnace will melt over 50 lbs of bronze at a melt, and was less than
$1000.00 COMPLETE!). They have the sand, flasks, crucibles, tongs, in
short, they have it all.

If you are not predisposed to building your own, and want a quality
piece of equipment, give Merle a call at 1-619-354-4265. Tell him that
I recommended them highly ( Companies like to get referrals from happy
customers ).

Their address is;
 85357 American Canal Rd.
Niland, CA 92257

Good luck

Jim Harvey
[email-masked]
http://hre.com/